> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hubの作成

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

新しいBox Hubを作成するには、`title` (必須) を指定して<Link href="/reference/v2025.0/post-hubs">`POST /2.0/hubs`</Link>エンドポイントを呼び出します。必要に応じて`description`も指定できます。Hubはデフォルト設定で作成されます。スタイルやその他のオプションをカスタマイズする場合は、後でAPIまたはBoxウェブアプリを使用できます。

<Warning>Box Hubs endpoints require the `box-version: 2025.0 header`. If you omit this header, the API returns a 400 error with the message `Missing required box-version header. Supported API versions: [2025.0].` For more information, see [Box API versioning strategy](/guides/api-calls/api-versioning-strategy/).</Warning>

## Hubを作成

<CodeGroup>
  ```sh Box CLI theme={null}
  box hubs:create "HR Hub" --description "Central hub for HR policies and onboarding materials."
  ```

  ```sh cURL theme={null}
  curl -i -X POST "https://api.box.com/2.0/hubs" \
       -H "Authorization: Bearer <ACCESS_TOKEN>" \
       -H "box-version: 2025.0" \
       -H "Content-Type: application/json" \
       -d '{
         "title": "HR Hub",
         "description": "Central hub for HR policies and onboarding materials."
       }'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.hubs.createHubV2025R0({
    title: hubTitle,
    description: hubDescription,
  } satisfies HubCreateRequestV2025R0);
  ```

  ```python Python v10 theme={null}
  client.hubs.create_hub_v2025_r0("HR Hub", description="Central hub for HR policies and onboarding materials.")
  ```

  ```csharp .NET v10 theme={null}
  await client.Hubs.CreateHubV2025R0Async(requestBody: new HubCreateRequestV2025R0(title: hubTitle) { Description = hubDescription });
  ```

  ```swift Swift v10 theme={null}
  try await client.hubs.createHubV2025R0(requestBody: HubCreateRequestV2025R0(title: hubTitle, description: hubDescription))
  ```

  ```java Java v10 theme={null}
  client.getHubs().createHubV2025R0(new HubCreateRequestV2025R0.Builder(hubTitle).description(hubDescription).build());
  ```
</CodeGroup>

## リクエスト本文

| フィールド         | 型      | 必須  | 説明                         |
| ------------- | ------ | --- | -------------------------- |
| `title`       | string | はい  | Hubのタイトル。50文字以内にする必要があります。 |
| `description` | string | いいえ | Hubの説明。                    |

成功したレスポンスでは、新しい<Link href="/reference/v2025.0/resources/hub">Hub</Link>オブジェクトが返されます。作成したHubは、Box Hubsのウェブインターフェースに表示され、APIを使用してその項目やコラボレーションを管理できます。

<RelatedLinks
  title="関連するAPI"
  items={[
{ label: translate("Create hub"), href: "/reference/v2025.0/post-hubs", badge: "POST" },
{ label: translate("Get hub"), href: "/reference/v2025.0/get-hubs-id", badge: "GET" },
{ label: translate("Update hub"), href: "/reference/v2025.0/put-hubs-id", badge: "PUT" }
]}
/>

<RelatedLinks
  title="関連するガイド"
  items={[
{ label: translate("Box Hubs overview"), href: "/guides/hubs-api", badge: "GUIDE" },
{ label: translate("Update a hub"), href: "/guides/hubs-api/hubs/update-hub", badge: "GUIDE" },
{ label: translate("Manage hub items"), href: "/guides/hubs-api/hubs-items/hub-items", badge: "GUIDE" }
]}
/>
